Package twisted :: Package protocols :: Module ftp :: Class SenderProtocol |
[frames | no frames]

## Class SenderProtocol

    BaseProtocol --+
                   |
            Protocol --+
                       |
                      SenderProtocol

Method Summary
| `__init__(self)`
| `connectionLost(self, reason)`
| ``dataReceived`(self, data)` Called whenever data is received.
| `finish(self)`
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.
| `registerProducer(self)`
| `unregisterProducer(self)`
| `write(self, data)`
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
Inherited from BaseProtocol
| ``connectionMade`(self)` Called when a connection is made.

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### dataReceived(self, data) Called whenever data is received. Use this method to translate to a higher-level message. Usually, some callback will be made upon the receipt of each complete protocol message. Parameters: `data` - a string of indeterminate length. Please keep in mind that you will probably need to buffer some data, as partial (or multiple) protocol messages may be received! I recommend that unit tests for protocols call through to this method with differing chunk sizes, down to one byte at a time. Overrides: `twisted.internet.protocol.Protocol.dataReceived` (inherited documentation)

### makeConnection(self, transport) Make a connection to a transport and a server. This sets the 'transport' attribute of this Protocol, and calls the connectionMade() callback. Overrides: `twisted.internet.protocol.BaseProtocol.makeConnection` (inherited documentation)

Class Variable Details

    ### __implements__ Type: `tuple` Value:
        (<class twisted.internet.interfaces.IProtocol at 0x824ddf4>,
         <class twisted.internet.interfaces.IFinishableConsumer at 0x8269724>)

Generated by Epydoc 2.0 on Sat Oct 25 00:55:04 2003 | http://epydoc.sf.net